跳转到内容

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use [test bank cards](/zh/doc/pay-station/references/test-cards).

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
下载 OpenAPI 描述
语言
服务器
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/zh/api/catalog/
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作

使用当前购物车中的所有商品创建订单Client-side

请求

用于客户端到服务器的集成。使用购物车中的所有商品创建订单并为其生成支付令牌。创建的订单得到new订单状态。

客户端IP用于确定用户所在的国家/地区,然后用于为订单应用相应的货币和可用的支付方式。

要在新窗口中打开支付UI,请使用以下链接:https://secure.xsolla.com/paystation4/?token={token} ,其中{token}是收到的令牌。

如要进行测试,请使用以下URL:https://sandbox-secure.xsolla.com/paystation4/?token={token}

注:

由于此方法使用IP来确定用户所在的国家/地区并为订单选择货币,因此必须从客户端而不是从服务器端使用此方法。从服务器端使用此方法可能会导致货币判断错误并影响支付中心中可用的支付方式。
安全
AuthForCart
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
正文application/json
currencystring

订单价格货币。每笔订单的三个字母的货币代码ISO 4217。请查看文档以获取有关Xsolla 支持的货币

custom_parametersobject[ 1 .. 200 ] properties

项目特定参数。

localestring

响应语言。

sandboxboolean

在沙盒模式下创建订单。该选项适用于公司用户列表中指定的那些用户。

默认值 false
settingsobject

为用户配置支付流程和支付UI的设置。

settings.​payment_methodinteger(Cart-Payment_settings_payment_method)>= 1

支付方式ID,它决定支付界面显示的货币,因为有些支付方式可能只支持某些特定的货币。

settings.​redirect_policyobject(Cart-Payment_redirect_policy)
settings.​redirect_policy.​delayinteger

经过指定延迟时间后自动将用户重定向到返回URL。

示例: 0
settings.​redirect_policy.​redirect_button_captionstring

本地化的重定向按钮文字。

示例: "Text button"
settings.​redirect_policy.​redirect_conditionsstring

触发将用户重定向到返回URL的支付状态。

枚举"none""successful""successful_or_canceled""any"
示例: "none"
settings.​redirect_policy.​status_for_manual_redirectionstring

触发显示重定向按钮的支付状态,用户单击该按钮后将被重定向到返回URL。

枚举"none""successful""successful_or_canceled""any"
示例: "none"
settings.​return_urlstring(uri)(Cart-Payment_settings_return_url)<= 1000 characters

用户会在支付过后被重定向到此页面。参数user_idforeigninvoiceinvoice_idstatus会被自动添加到此链接。

settings.​uiobject(Cart-Payment_settings_ui)

界面设置。

settings.​ui.​currency_formatstring

设置为code以在支付UI中显示三字母的ISO 4217货币代码。默认显示货币符号而不是三字母货币代码。

settings.​ui.​desktopobject

桌面版本的界面设置。

settings.​ui.​desktop.​headerobject

页眉设置。

settings.​ui.​desktop.​header.​close_buttonboolean

是否在桌面支付UI中显示关闭按钮。该按钮将关闭支付UI并将用户重定向到settings.return_url参数中指定的URL。默认为false

默认值 false
settings.​ui.​desktop.​header.​is_visibleboolean

页眉在支付UI上是否可见。

settings.​ui.​desktop.​header.​typestring

如何显示页眉。不能为compact(隐藏项目名称和用户ID)或normal(默认)。

默认值 "normal"
枚举"compact""normal"
settings.​ui.​desktop.​header.​visible_logoboolean

如果true,徽标将显示在标题中。要上传图像,请在发布者帐户然后转到付款站 > 设置部分

settings.​ui.​desktop.​header.​visible_nameboolean

页眉中是否显示项目名称。

settings.​ui.​desktop.​header.​visible_purchaseboolean

是否在页眉中显示购买描述(purchase.description.value)。默认为true

默认值 true
settings.​ui.​headerobject
settings.​ui.​header.​visible_virtual_currency_balanceboolean

此元素是否可在支付UI上隐藏。

默认值 true
settings.​ui.​is_cart_open_by_defaultboolean

打开支付UI移动版本时购物车商品列表的显示方式。如为true,列表以扩展视图显示。如为false(默认)或未传入此参数,列表以折叠视图显示。

默认值 false
settings.​ui.​is_independent_windowsboolean

是否将用户从嵌入式启动器浏览器(WebView)跳转到其默认的浏览器来进行购买。

默认值 false
settings.​ui.​is_payment_methods_list_modeboolean

打开支付UI时是否显示在该用户所在国家/地区可用的支付方式。如为false(默认),将显示在settings.payment_method参数中传入的支付方式或PayRank算法选择的支付方式。

默认值 false
settings.​ui.​is_prevent_external_link_openboolean

是否禁用将链接重定向至外部资源。点击外部链接时,将通过postMessage机制发送external-link-open事件。重定向链接的地址在url参数中传递。

默认值 false
settings.​ui.​is_show_close_widget_warningboolean

关闭支付页面前鼠标悬停在×图标时是否显示交易正在处理中的警告。如传入false,或未传入参数,则不显示警告。

默认值 true
settings.​ui.​is_three_ds_independent_windowsboolean

是否在新浏览器窗口中打开3-D Secure检查。如果您的设置强制执行内容安全政策(CSP),请设置为true

默认值 false
settings.​ui.​layoutstring

支付UI主要元素的位置。您可以在游戏内打开支付UI和/或交换订单信息和支付方式信息列的位置。详细信息请参阅自定义说明

枚举"embed""column_reverse""embed_column_reverse"
settings.​ui.​mobileobject
settings.​ui.​mobile.​headerobject
settings.​ui.​mobile.​header.​close_buttonboolean

是否在移动支付UI中显示关闭按钮。该按钮将关闭支付UI并将用户重定向到settings.return_url参数中指定的URL。

默认值 false
settings.​ui.​modestring

支付UI的界面模式。只能是user_account。请注意,页眉仅包含用户帐户的导航菜单,而没有用于选择产品或进行付款的任何选项。“用户帐户”仅在桌面模式下可用。

"user_account"
settings.​ui.​themestring

支付UI主题。可以是63295a9a2e47fab76f7708e1(浅色主题(默认)),或63295aab2e47fab76f7708e3(深色主题)。您也可以创建自定义主题,然后在此参数中传入其ID。

默认值 "63295a9a2e47fab76f7708e1"
枚举"63295a9a2e47fab76f7708e1""63295aab2e47fab76f7708e3"
settings.​ui.​user_accountobject

用户帐户详细信息。

settings.​ui.​user_account.​infoobject

我的账户页面。

settings.​ui.​user_account.​info.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​info.​orderinteger>= 1必需

子菜单在菜单中的位置。

settings.​ui.​user_account.​payment_accountsobject

我的支付帐户子菜单。

settings.​ui.​user_account.​payment_accounts.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​subscriptionsobject

管理订阅子菜单。

settings.​ui.​user_account.​subscriptions.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​subscriptions.​orderinteger>= 1必需

子菜单在菜单中的位置。

curl -i -X POST \
  https://store.xsolla.com/api/v2/project/44056/payment/cart \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": {
      "character_id": "ingameUsername"
    },
    "sandbox": true,
    "settings": {
      "ui": {
        "desktop": {
          "header": {
            "close_button": false,
            "is_visible": true,
            "type": "normal",
            "visible_logo": true,
            "visible_name": true,
            "visible_purchase": true
          }
        },
        "theme": "63295a9a2e47fab76f7708e1"
      }
    }
  }'

响应

订单已成功创建。

正文application/json
order_idinteger

订单ID。

tokenstring

支付令牌。

响应
application/json
{ "order_id": 641, "token": "f4puMEFFDZcx9nv5HoNHIkPe9qghvBQo" }

使用特定购物车中的所有商品创建订单Client-side

请求

用于客户端到服务器的集成。使用指定购物车中的所有商品创建订单并为其生成支付令牌。创建的订单得到new订单状态。

客户端IP用于确定用户所在的国家/地区,然后用于为订单应用相应的货币和可用的支付方式。

要在新窗口中打开支付UI,请使用以下链接:https://secure.xsolla.com/paystation4/?token={token} ,其中{token}是收到的令牌。

如要进行测试,请使用以下URL:https://sandbox-secure.xsolla.com/paystation4/?token={token}

注:

由于此方法使用IP来确定用户所在的国家/地区并为订单选择货币,因此必须从客户端而不是从服务器端使用此方法。从服务器端使用此方法可能会导致货币判断错误并影响支付中心中可用的支付方式。
安全
AuthForCart
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
cart_idstring必需

购物车ID。

示例: custom_id
正文application/json
currencystring

订单价格货币。每笔订单的三个字母的货币代码ISO 4217。请查看文档以获取有关Xsolla 支持的货币

custom_parametersobject[ 1 .. 200 ] properties

项目特定参数。

localestring

响应语言。

sandboxboolean

在沙盒模式下创建订单。该选项适用于公司用户列表中指定的那些用户。

默认值 false
settingsobject

为用户配置支付流程和支付UI的设置。

settings.​payment_methodinteger(Cart-Payment_settings_payment_method)>= 1

支付方式ID,它决定支付界面显示的货币,因为有些支付方式可能只支持某些特定的货币。

settings.​redirect_policyobject(Cart-Payment_redirect_policy)
settings.​redirect_policy.​delayinteger

经过指定延迟时间后自动将用户重定向到返回URL。

示例: 0
settings.​redirect_policy.​redirect_button_captionstring

本地化的重定向按钮文字。

示例: "Text button"
settings.​redirect_policy.​redirect_conditionsstring

触发将用户重定向到返回URL的支付状态。

枚举"none""successful""successful_or_canceled""any"
示例: "none"
settings.​redirect_policy.​status_for_manual_redirectionstring

触发显示重定向按钮的支付状态,用户单击该按钮后将被重定向到返回URL。

枚举"none""successful""successful_or_canceled""any"
示例: "none"
settings.​return_urlstring(uri)(Cart-Payment_settings_return_url)<= 1000 characters

用户会在支付过后被重定向到此页面。参数user_idforeigninvoiceinvoice_idstatus会被自动添加到此链接。

settings.​uiobject(Cart-Payment_settings_ui)

界面设置。

settings.​ui.​currency_formatstring

设置为code以在支付UI中显示三字母的ISO 4217货币代码。默认显示货币符号而不是三字母货币代码。

settings.​ui.​desktopobject

桌面版本的界面设置。

settings.​ui.​desktop.​headerobject

页眉设置。

settings.​ui.​desktop.​header.​close_buttonboolean

是否在桌面支付UI中显示关闭按钮。该按钮将关闭支付UI并将用户重定向到settings.return_url参数中指定的URL。默认为false

默认值 false
settings.​ui.​desktop.​header.​is_visibleboolean

页眉在支付UI上是否可见。

settings.​ui.​desktop.​header.​typestring

如何显示页眉。不能为compact(隐藏项目名称和用户ID)或normal(默认)。

默认值 "normal"
枚举"compact""normal"
settings.​ui.​desktop.​header.​visible_logoboolean

如果true,徽标将显示在标题中。要上传图像,请在发布者帐户然后转到付款站 > 设置部分

settings.​ui.​desktop.​header.​visible_nameboolean

页眉中是否显示项目名称。

settings.​ui.​desktop.​header.​visible_purchaseboolean

是否在页眉中显示购买描述(purchase.description.value)。默认为true

默认值 true
settings.​ui.​headerobject
settings.​ui.​header.​visible_virtual_currency_balanceboolean

此元素是否可在支付UI上隐藏。

默认值 true
settings.​ui.​is_cart_open_by_defaultboolean

打开支付UI移动版本时购物车商品列表的显示方式。如为true,列表以扩展视图显示。如为false(默认)或未传入此参数,列表以折叠视图显示。

默认值 false
settings.​ui.​is_independent_windowsboolean

是否将用户从嵌入式启动器浏览器(WebView)跳转到其默认的浏览器来进行购买。

默认值 false
settings.​ui.​is_payment_methods_list_modeboolean

打开支付UI时是否显示在该用户所在国家/地区可用的支付方式。如为false(默认),将显示在settings.payment_method参数中传入的支付方式或PayRank算法选择的支付方式。

默认值 false
settings.​ui.​is_prevent_external_link_openboolean

是否禁用将链接重定向至外部资源。点击外部链接时,将通过postMessage机制发送external-link-open事件。重定向链接的地址在url参数中传递。

默认值 false
settings.​ui.​is_show_close_widget_warningboolean

关闭支付页面前鼠标悬停在×图标时是否显示交易正在处理中的警告。如传入false,或未传入参数,则不显示警告。

默认值 true
settings.​ui.​is_three_ds_independent_windowsboolean

是否在新浏览器窗口中打开3-D Secure检查。如果您的设置强制执行内容安全政策(CSP),请设置为true

默认值 false
settings.​ui.​layoutstring

支付UI主要元素的位置。您可以在游戏内打开支付UI和/或交换订单信息和支付方式信息列的位置。详细信息请参阅自定义说明

枚举"embed""column_reverse""embed_column_reverse"
settings.​ui.​mobileobject
settings.​ui.​mobile.​headerobject
settings.​ui.​mobile.​header.​close_buttonboolean

是否在移动支付UI中显示关闭按钮。该按钮将关闭支付UI并将用户重定向到settings.return_url参数中指定的URL。

默认值 false
settings.​ui.​modestring

支付UI的界面模式。只能是user_account。请注意,页眉仅包含用户帐户的导航菜单,而没有用于选择产品或进行付款的任何选项。“用户帐户”仅在桌面模式下可用。

"user_account"
settings.​ui.​themestring

支付UI主题。可以是63295a9a2e47fab76f7708e1(浅色主题(默认)),或63295aab2e47fab76f7708e3(深色主题)。您也可以创建自定义主题,然后在此参数中传入其ID。

默认值 "63295a9a2e47fab76f7708e1"
枚举"63295a9a2e47fab76f7708e1""63295aab2e47fab76f7708e3"
settings.​ui.​user_accountobject

用户帐户详细信息。

settings.​ui.​user_account.​infoobject

我的账户页面。

settings.​ui.​user_account.​info.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​info.​orderinteger>= 1必需

子菜单在菜单中的位置。

settings.​ui.​user_account.​payment_accountsobject

我的支付帐户子菜单。

settings.​ui.​user_account.​payment_accounts.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​subscriptionsobject

管理订阅子菜单。

settings.​ui.​user_account.​subscriptions.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​subscriptions.​orderinteger>= 1必需

子菜单在菜单中的位置。

curl -i -X POST \
  https://store.xsolla.com/api/v2/project/44056/payment/cart/custom_id \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": {
      "character_id": "ingameUsername"
    },
    "sandbox": true,
    "settings": {
      "ui": {
        "desktop": {
          "header": {
            "close_button": false,
            "is_visible": true,
            "type": "normal",
            "visible_logo": true,
            "visible_name": true,
            "visible_purchase": true
          }
        },
        "theme": "63295a9a2e47fab76f7708e1"
      }
    }
  }'

响应

订单已成功创建。

正文application/json
order_idinteger

订单ID。

tokenstring

支付令牌。

响应
application/json
{ "order_id": 641, "token": "f4puMEFFDZcx9nv5HoNHIkPe9qghvBQo" }

使用指定商品创建订单Client-side

请求

Used for client-to-server integration. Creates an order with a specified item and generates a payment token for it. The created order gets the new order status.

The client IP is used to determine the user’s country, which is then used to apply the corresponding currency and available payment methods for the order.

To open the payment UI in a new window, use the following link: https://secure.xsolla.com/paystation4/?token={token}, where {token} is the received token.

For testing purposes, use this URL: https://sandbox-secure.xsolla.com/paystation4/?token={token}.

Notice

As this method uses the IP to determine the user’s country and select a currency for the order, it is important to only use this method from the client side and not from the server side. Using this method from the server side may cause incorrect currency determination and affect payment methods in Pay Station.

Notice

This API call uses a user JWT for authorization.

Include the token in the Authorization header in the following format: Bearer <user_JWT>. For more information about user JWT, see the Security block for this call.
安全
XsollaLoginUserJWT
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
item_skustring必需

商品SKU。

示例: booster_mega_1
正文application/json
currencystring

订单价格货币。每笔订单的三个字母的货币代码ISO 4217。请查看文档以获取有关Xsolla 支持的货币

custom_parametersobject[ 1 .. 200 ] properties

项目特定参数。

localestring

响应语言。

promo_codestring

随支付兑换促销码活动代码。

quantityinteger>= 1

商品数量。

默认值 1
sandboxboolean

在沙盒模式下创建订单。该选项适用于公司用户列表中指定的那些用户。

默认值 false
settingsobject

为用户配置支付流程和支付UI的设置。

settings.​payment_methodinteger(Cart-Payment_settings_payment_method)>= 1

支付方式ID,它决定支付界面显示的货币,因为有些支付方式可能只支持某些特定的货币。

settings.​redirect_policyobject(Cart-Payment_redirect_policy)
settings.​redirect_policy.​delayinteger

经过指定延迟时间后自动将用户重定向到返回URL。

示例: 0
settings.​redirect_policy.​redirect_button_captionstring

本地化的重定向按钮文字。

示例: "Text button"
settings.​redirect_policy.​redirect_conditionsstring

触发将用户重定向到返回URL的支付状态。

枚举"none""successful""successful_or_canceled""any"
示例: "none"
settings.​redirect_policy.​status_for_manual_redirectionstring

触发显示重定向按钮的支付状态,用户单击该按钮后将被重定向到返回URL。

枚举"none""successful""successful_or_canceled""any"
示例: "none"
settings.​return_urlstring(uri)(Cart-Payment_settings_return_url)<= 1000 characters

用户会在支付过后被重定向到此页面。参数user_idforeigninvoiceinvoice_idstatus会被自动添加到此链接。

settings.​uiobject(Cart-Payment_settings_ui)

界面设置。

settings.​ui.​currency_formatstring

设置为code以在支付UI中显示三字母的ISO 4217货币代码。默认显示货币符号而不是三字母货币代码。

settings.​ui.​desktopobject

桌面版本的界面设置。

settings.​ui.​desktop.​headerobject

页眉设置。

settings.​ui.​desktop.​header.​close_buttonboolean

是否在桌面支付UI中显示关闭按钮。该按钮将关闭支付UI并将用户重定向到settings.return_url参数中指定的URL。默认为false

默认值 false
settings.​ui.​desktop.​header.​is_visibleboolean

页眉在支付UI上是否可见。

settings.​ui.​desktop.​header.​typestring

如何显示页眉。不能为compact(隐藏项目名称和用户ID)或normal(默认)。

默认值 "normal"
枚举"compact""normal"
settings.​ui.​desktop.​header.​visible_logoboolean

如果true,徽标将显示在标题中。要上传图像,请在发布者帐户然后转到付款站 > 设置部分

settings.​ui.​desktop.​header.​visible_nameboolean

页眉中是否显示项目名称。

settings.​ui.​desktop.​header.​visible_purchaseboolean

是否在页眉中显示购买描述(purchase.description.value)。默认为true

默认值 true
settings.​ui.​headerobject
settings.​ui.​header.​visible_virtual_currency_balanceboolean

此元素是否可在支付UI上隐藏。

默认值 true
settings.​ui.​is_cart_open_by_defaultboolean

打开支付UI移动版本时购物车商品列表的显示方式。如为true,列表以扩展视图显示。如为false(默认)或未传入此参数,列表以折叠视图显示。

默认值 false
settings.​ui.​is_independent_windowsboolean

是否将用户从嵌入式启动器浏览器(WebView)跳转到其默认的浏览器来进行购买。

默认值 false
settings.​ui.​is_payment_methods_list_modeboolean

打开支付UI时是否显示在该用户所在国家/地区可用的支付方式。如为false(默认),将显示在settings.payment_method参数中传入的支付方式或PayRank算法选择的支付方式。

默认值 false
settings.​ui.​is_prevent_external_link_openboolean

是否禁用将链接重定向至外部资源。点击外部链接时,将通过postMessage机制发送external-link-open事件。重定向链接的地址在url参数中传递。

默认值 false
settings.​ui.​is_show_close_widget_warningboolean

关闭支付页面前鼠标悬停在×图标时是否显示交易正在处理中的警告。如传入false,或未传入参数,则不显示警告。

默认值 true
settings.​ui.​is_three_ds_independent_windowsboolean

是否在新浏览器窗口中打开3-D Secure检查。如果您的设置强制执行内容安全政策(CSP),请设置为true

默认值 false
settings.​ui.​layoutstring

支付UI主要元素的位置。您可以在游戏内打开支付UI和/或交换订单信息和支付方式信息列的位置。详细信息请参阅自定义说明

枚举"embed""column_reverse""embed_column_reverse"
settings.​ui.​mobileobject
settings.​ui.​mobile.​headerobject
settings.​ui.​mobile.​header.​close_buttonboolean

是否在移动支付UI中显示关闭按钮。该按钮将关闭支付UI并将用户重定向到settings.return_url参数中指定的URL。

默认值 false
settings.​ui.​modestring

支付UI的界面模式。只能是user_account。请注意,页眉仅包含用户帐户的导航菜单,而没有用于选择产品或进行付款的任何选项。“用户帐户”仅在桌面模式下可用。

"user_account"
settings.​ui.​themestring

支付UI主题。可以是63295a9a2e47fab76f7708e1(浅色主题(默认)),或63295aab2e47fab76f7708e3(深色主题)。您也可以创建自定义主题,然后在此参数中传入其ID。

默认值 "63295a9a2e47fab76f7708e1"
枚举"63295a9a2e47fab76f7708e1""63295aab2e47fab76f7708e3"
settings.​ui.​user_accountobject

用户帐户详细信息。

settings.​ui.​user_account.​infoobject

我的账户页面。

settings.​ui.​user_account.​info.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​info.​orderinteger>= 1必需

子菜单在菜单中的位置。

settings.​ui.​user_account.​payment_accountsobject

我的支付帐户子菜单。

settings.​ui.​user_account.​payment_accounts.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​subscriptionsobject

管理订阅子菜单。

settings.​ui.​user_account.​subscriptions.​enableboolean必需

是否显示子菜单。默认为false

默认值 false
settings.​ui.​user_account.​subscriptions.​orderinteger>= 1必需

子菜单在菜单中的位置。

curl -i -X POST \
  https://store.xsolla.com/api/v2/project/44056/payment/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": {
      "character_id": "ingameUsername"
    },
    "promo_code": "discount_code",
    "quantity": 5,
    "sandbox": true,
    "settings": {
      "ui": {
        "desktop": {
          "header": {
            "close_button": false,
            "is_visible": true,
            "type": "normal",
            "visible_logo": true,
            "visible_name": true,
            "visible_purchase": true
          }
        },
        "theme": "63295a9a2e47fab76f7708e1"
      }
    }
  }'

响应

订单已成功创建。

正文application/json
order_idinteger

订单ID。

tokenstring

支付令牌。

响应
application/json
{ "order_id": 641, "token": "f4puMEFFDZcx9nv5HoNHIkPe9qghvBQo" }
操作
操作
操作
操作
操作
操作
操作

目录

本API允许获取任意类型的可售商品或指定商品。

操作
操作
操作
操作
操作